Subject: Re: [PATCH 5/7] Celleb: Supports VFD on Celleb 2

From: [email-masked] (Linas Vepstas)
Date: Thu, 27 Sep 2007 11:54:12 -0500

On Thu, Sep 27, 2007 at 11:07:33AM +0200, Arnd Bergmann wrote:
> On Thursday 27 September 2007, Ishizaki Kou wrote:
> > This is a patch to support VFD on Celleb 2.
> > VFD is a small LCD to show miscellaneous messages.
> > 
> > Signed-off-by: Kou Ishizaki <[email-masked]>
> 
>   My feeling is that your interface should better be
>   implemented as a character device, or be integrating into some other
>   existing message interface, if we can find one.
> 
> * The firmware seems to implement the generic rtas interface for
>   display-character and set-indicator, but your driver is celleb specific.
>   I'd be feel more comfortable if we could come up with a driver that also
>   works on other systems that implement the same rtas calls.

Yep, I think I agree. Most pseries systems have a small two-line
LCD display.  Right now, the code that talks to it is implemented in
rtas_progress(). It has this name because its used only for printing
out boot progress messages. This is great for debugging hangs, but 
its not othrewise used.

I suppose it would be nice to have a "geeric" interface to the thing, 
and, after a quickie skim of the code, the celleb display looks similar
enogh that this abstraction could be made.

--linas